//*******************************************************************
//
//  UNIT:     D r a w R G B                      02.06.99,  22.11.99
//
//  draw RGB colors
//
//-------------------------------------------------------------------
//
//  StartRGBColors         start rgb drawing demo
//  ResizeRGBColors        called on new window size
//
//*******************************************************************
unit DrawRGB;

interface

function StartRGBColors: string;
procedure ResizeRGBColors;

//*********************************************************
implementation

uses Graphics, Graph, GraphRGB;

//*********************************************************
// example of fast pixel drawing using tBitmap.ScanLine[..]
//---------------------------------------------------------
function StartRGBColors: string;
begin
  result := 'fast pixel demo';
  SetGraphMode (pf24bit);
  ResizeRGBColors;
end;
//*********************************************************
// resize rgb color rectangle
//---------------------------------------------------------
procedure ResizeRGBColors;
begin
  SetRGBIntensity (255);
  DrawRGBColors (0,0,pageX,pageY);
end;

end.

