{-------------------------------------------------------------------}
{
{ INC:      F l o a t                          10.06.92,  05.10.2002
{
{ include file for easy selection of floating point type
{
{-------------------------------------------------------------------}

{$ifopt N-}
  type float = real;                      { 6 bytes}
  const minFloat = -1E+37;                {min. float value}
        maxFloat = +1E+37;                {max. float value}
        overflow = 0.9999E+38;            {float overflow}
        maxExp   = 88.0;
{$else}

(*
  type float = single;                    { 4 bytes}
  const minFloat = -1E+45;
        maxFloat = +1E+37;
        overflow = 0.9999E+38;
        maxExp   = 88;

  type float = double;
  const minFloat = -1E+308;               { 8 bytes}
        maxFloat = +1E+308;
        overflow = 0.9999E+308;
        maxExp   = 11355.0;
*)
  type float = extended;                  { 10 bytes (FPU-format)}
  const minFloat = -1E+4932;
        maxFloat = +1E+4932;
        overflow = 0.9999E+4932;
        maxExp   = 11355.0;

{$endif}

const rad   = 180.0 / Pi;         {1 Radiant = 57.295779513...}
      deg   = Pi / 180.0;         {1 / Radiant = 0.017453292...}

      eps = 1E-6;                 {kleiner Wert}
      undefined = 999E-9;         {undefiniert bzw. nicht berechenbar}

