
//*********************************************************
//
//  UNIT:     G r A b o u t           29.06.98,  05.04.2002
//
//  information window of main program
//
//*********************************************************
unit GrAbout;

interface

uses Forms, Windows, ExtCtrls, Controls, StdCtrls, Classes, SysUtils,
  Graphics, Dialogs, ShellApi, SysUtil2, Graph;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Image1: TImage;
    OK: TButton;
    LT1: TLabel;
    LT2: TLabel;
    LT3: TLabel;
    LT4: TLabel;
    LI0: TLabel;
    LI1: TLabel;
    LI2: TLabel;
    LI3: TLabel;
    LI4: TLabel;
    LI5: TLabel;
    LI7: TLabel;
    LI8: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    PrintDialog1: TPrintDialog;
    Panel3: TPanel;
    LK1: TLabel;
    LK10: TLabel;
    LK11: TLabel;
    LK12: TLabel;
    LK13: TLabel;
    LK14: TLabel;
    LK15: TLabel;
    LK16: TLabel;
    LK17: TLabel;
    LK30: TLabel;
    LK31: TLabel;
    LK32: TLabel;
    LK33: TLabel;
    LK40: TLabel;
    procedure Activate(Sender: TObject);  reintroduce;
    procedure OKClick(Sender: TObject);
    procedure httpClick(Sender: TObject);
    procedure mailClick(Sender: TObject);
    procedure printClick(Sender: TObject);
  end;

var  AboutBox: TAboutBox;

implementation

uses MMSystem;

{$R *.DFM}

//*********************************************************
procedure TAboutBox.Activate(Sender: TObject);

var   MemInfo: TMemoryStatus;
begin
  Label1.Caption := SysUtil2.WindowsVersion;

  MemInfo.dwLength := sizeof(TMemoryStatus);
  GlobalMemoryStatus(MemInfo);
  Label2.Caption := Format('%d MB',[Trunc(MemInfo.dwTotalPhys/1024/1024)]);
  Label3.Caption := Format('%d MHz',[trunc(CPUSpeed)]);

  with screenInfo
  do begin
    Label4.Caption := Format('%d*%d', [x, y]);
    Label5.Caption := Format('%d',    [bitsPerPixel]);
    Label6.Caption := Format('%d Hz', [refreshRate]);
  end;
  if MMSystem.WaveOutGetNumDevs > 0
  then Label7.Caption := 'yes'
  else Label7.Caption := 'no';
end;
//*********************************************************
procedure TAboutBox.OKClick(Sender: TObject);
begin
  Close;
end;

//*********************************************************
procedure TAboutBox.httpClick(Sender: TObject);
const homepage=
'http://www.geocities.com/gplatl/download.htm'#0;
begin
  ShellExecute(0, Nil, homepage, Nil, Nil, SW_NORMAL);
end;
//*********************************************************
procedure TAboutBox.mailClick(Sender: TObject);
const mailto = 'mailto:MrPix777@hotmail.com'#0;
begin
  ShellExecute(0, Nil, mailto, Nil, Nil, SW_NORMAL);
end;
//*********************************************************
procedure TAboutBox.PrintClick(Sender: TObject);
begin
  if PrintDialog1.Execute then Print;
end;

//*********************************************************
initialization

  {$ifdef InitTest}
    writeln (tst, 'GrAbout.initialization: ');
    flush (tst);
  {$endif}

end.

